ascd(0.5)

NAME
ascd - the AfterStep CD player

SYNOPSIS
ascd [ -help][-nshape]
        [-g Geometry]
        [-l color]
        [-d device]
    [-w]

DESCRIPTION
The ascd is CD player written to play audio CD's integrated in aftersteps Wharf module. ascd handles mounted volumes, and opens and closes the tray.

CONFIGURATION OPTIONS

-h
    prints the usage message:
            usage:  ascd [-options ...]
            where options include:
                -l <color>		color of the led
                -p Geometry		position of ascd
                -n			don't display groundplate
                -w		        Withdrawn more for WindowMaker
    	    -d 			specifies a device

-n
    turn off shaped window support for ascd. When this is turned on the ascd windows will only appear to be the led and buttons. By default shaped windows are turned on and the player will appear on a 48 pixel by 48 pixel base.

-l <color>
    specifies the color of the led. To find out what colors are available, try showrgb

-g Geometry
    specifies the geometry of ascd. The Geometry works like the standard X-Windows geometry option.

-d Device
    speicifies the device which should be used by ascd.

INVOCATION
ascd can be called from one of many ways. The most common invocation is the command line:
	[user@host] ~% ascd -n -l yellow&
Another way to call ascd is from the window manager:
	*Wharf - - Swallow "ascd" ascd&
This line, when placed in the .steprc file in the users home directory will cause ascd to use the shape extensions so that it will be a button on the Wharf (1) button bar under the afterstep (1) window manager.

COPYRIGHTS
Copyright 1997, Rob Malda <malda@cs.hope.edu>. No guarantees or warranties or anything are provided or implied in any way whatsoever. Use this program at your own risk. Permission to use this program for any purpose is given, as long as the copyright is kept intact.

AUTHORS
Rob Malda <malde@cs.hope.edu> -- application Michael Kurz <mkurz@rzws.fh-aalen.de> -- changes and man page

Michael Kurz <mkurz@rzws.fh-aalen.de> -- man page